{ config, ... }:
{
  imports = [
    ./boot
    ./disko
    ./hardware

    # Apps and programs
    ../../modules/system
    ../../modules/system/accounts
    ../../modules/system/desktop
    ../../modules/system/programs
    ../../modules/system/services

    # Devices and hardware
    ../../modules/system/devices
    ../../modules/system/devices/boot/systemd
    ../../modules/system/devices/networking/wireless
    ../../modules/system/devices/networking/firewall/pc
    ../../modules/system/devices/networking/wireguard/pc

    # Extras
    ../../overlays
    ../../variables
  ];

  networking.hostName = "redmond";
  networking.wireguard.interfaces."${config.ips.wgInt}".ips = [ "${config.ips.wgSpan}.20/24" ];
}
