{ config, lib, pkgs, modulesPath, ... }:
{
  boot = {
    kernelModules = [ "kvm-amd" ];
    initrd = {
      availableKernelModules = [
        "xhci_pci"
        "ahci"
        "ehci_pci"
        "sd_mod"
        "sr_mod"
        "sdhci_pci"
        "rtsx_usb_sdmmc"
      ];
    };
  };

  fileSystems = {
    "/home/jimbo/JimboNFS" = {
      device = "${config.ips.wgSpan}.1:/export/JimboNFS";
      fsType = "nfs4";
      options = ["x-systemd.automount" "_netdev" "nofail" "noauto"];
    };
  };

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
