{ config, ... }:
{
  imports = [
    ./hardware

    # Apps and programs
    ../../../modules/system
    ../../../modules/system/accounts
    ../../../modules/system/devices/filesystems
    ../../../modules/system/devices/boot/systemd
    ../../../modules/system/devices/networking
    ../../../modules/system/devices/networking/firewall/pc
    ../../../modules/system/devices/networking/wireguard/pc
    ../../../modules/system/programs/git
    ../../../modules/system/programs/security
    ../../../modules/system/services/common
    ../../../modules/system/services/server/acme
    ../../../modules/system/services/server/webhost/nginx
    ../../../modules/system/services/server/mailserver

    # Misc
    ../../../overlays
    ../../../variables
  ];

  networking.hostName = "bomberman";
  networking.wireguard.interfaces.wgc.ips = [ "10.100.0.19/24" ];
}
