{ pkgs, ... }:
{
  home.shellAliases = {
    # NixOS
    flakedate = "doas nix flake update --flake /etc/nixos";
    nhs = "doas nh os switch -R /etc/nixos";
    nhu = "flakedate && nhs";
    ns = "nix-shell -p";

    nixclean = "doas nix-store --gc; nix-collect-garbage -d";
    nixpurge = "doas nix-collect-garbage --delete-old";
    nixoptimize = "doas nix store optimise";
    nixscrub = "nixclean; nixpurge; nixoptimize";

    # Shortcuts
    ff = "clear && fastfetch";
    ip = "ip -c";
    ls = "${pkgs.eza}/bin/eza -a --color=always --group-directories-first --icons";
    cat = "${pkgs.bat}/bin/bat --paging never";
    copycat = "wl-copy <";
    myip = "curl ifconfig.co";
    seneca = "ssh jhampton1@matrix.senecapolytechnic.ca";

    # Deny
    rm = ''echo "Use trash."; false'';
  };
}
