{ config, ... }:
{
  wayland.windowManager.hyprland.settings = {
    general = {
      "col.active_border" = "rgba(${config.look.colors.prime}FF)";
      "col.inactive_border" = "rgba(${config.look.colors.split}FF)";
      gaps_in = 4;
      gaps_out = 10;
      border_size = config.look.border.string;
      allow_tearing = true;
      layout = "hy3";
    };

    misc = {
      disable_hyprland_logo = true;
      font_family = config.look.fonts.main;
      middle_click_paste = false;
      vrr = 2;
    };

    decoration.blur.enabled = false;

    animations = {
      bezier = [
        "easeOutQuint,0.23,1,0.32,1"
        "easeInOutCubic,0.65,0.05,0.36,1"
        "linear,0,0,1,1"
        "almostLinear,0.5,0.5,0.75,1.0"
        "quick,0.15,0,0.1,1"
      ];
      animation = [
        "global, 1, 10, default"
        "border, 1, 5.39, easeOutQuint"
        "windows, 1, 4.79, easeOutQuint"
        "windowsIn, 1, 4.1, easeOutQuint, popin 87%"
        "windowsOut, 1, 1.49, linear, popin 87%"
        "fadeIn, 1, 1.73, almostLinear"
        "fadeOut, 1, 1.46, almostLinear"
        "fade, 1, 3.03, quick"
        "layers, 1, 3.81, easeOutQuint"
        "layersIn, 1, 4, easeOutQuint, fade"
        "layersOut, 1, 1.5, linear, fade"
        "fadeLayersIn, 1, 1.79, almostLinear"
        "fadeLayersOut, 1, 1.39, almostLinear"
        "workspaces, 1, 1.94, almostLinear, fade"
        "workspacesIn, 1, 1.21, almostLinear, fade"
        "workspacesOut, 1, 1.94, almostLinear, fade"
      ];
    };
  };
}
